import 'package:flutter/material.dart';

class SeniorColors {
  SeniorColors._();

  // Primary Color

  /// This color is represented by the hexadecimal value #D0EEE7.
  @Deprecated('Use primaryColor[100] instead')
  static const Color primaryColor100 = Color(0xFFD0EEE7);

  /// This color is represented by the hexadecimal value #A0DCCE.
  @Deprecated('Use primaryColor[200] instead')
  static const Color primaryColor200 = Color(0xFFA0DCCE);

  /// This color is represented by the hexadecimal value #71CBB6.
  @Deprecated('Use primaryColor[300] instead')
  static const Color primaryColor300 = Color(0xFF71CBB6);

  /// This color is represented by the hexadecimal value #41B99D.
  @Deprecated('Use primaryColor[400] instead')
  static const Color primaryColor400 = Color(0xFF41B99D);

  /// This color is represented by the hexadecimal value #12A885.
  @Deprecated('Use primaryColor[500] instead')
  static const Color primaryColor500 = Color(0xFF12A885);

  /// This color is represented by the hexadecimal value #0E866A.
  @Deprecated('Use primaryColor[600] instead')
  static const Color primaryColor600 = Color(0xFF0E866A);

  /// This color is represented by the hexadecimal value #0B6550.
  @Deprecated('Use primaryColor[700] instead')
  static const Color primaryColor700 = Color(0xFF0B6550);

  /// This color is represented by the hexadecimal value #074335.
  @Deprecated('Use primaryColor[800] instead')
  static const Color primaryColor800 = Color(0xFF074335);

  /// This color is represented by the hexadecimal value #04221B.
  @Deprecated('Use primaryColor[900] instead')
  static const Color primaryColor900 = Color(0xFF04221B);

  // Secondary Colors

  /// This color is represented by the hexadecimal value #ECEEF1.
  @Deprecated('Use secondaryColor[100] instead')
  static const Color secondaryColor100 = Color(0xFFECEEF1);

  /// This color is represented by the hexadecimal value #D8DEE2.
  @Deprecated('Use secondaryColor[200] instead')
  static const Color secondaryColor200 = Color(0xFFD8DEE2);

  /// This color is represented by the hexadecimal value #C5CDD4.
  @Deprecated('Use secondaryColor[300] instead')
  static const Color secondaryColor300 = Color(0xFFC5CDD4);

  /// This color is represented by the hexadecimal value #B1BDC5.
  @Deprecated('Use secondaryColor[400] instead')
  static const Color secondaryColor400 = Color(0xFFB1BDC5);

  /// This color is represented by the hexadecimal value #9EACB7.
  @Deprecated('Use secondaryColor[500] instead')
  static const Color secondaryColor500 = Color(0xFF9EACB7);

  /// This color is represented by the hexadecimal value #7E8A92.
  @Deprecated('Use secondaryColor[600] instead')
  static const Color secondaryColor600 = Color(0xFF7E8A92);

  /// This color is represented by the hexadecimal value #5F676E.
  @Deprecated('Use secondaryColor[700] instead')
  static const Color secondaryColor700 = Color(0xFF5F676E);

  /// This color is represented by the hexadecimal value #3F4549.
  @Deprecated('Use secondaryColor[800] instead')
  static const Color secondaryColor800 = Color(0xFF3F4549);

  /// This color is represented by the hexadecimal value #202225.
  @Deprecated('Use secondaryColor[900] instead')
  static const Color secondaryColor900 = Color(0xFF202225);

  // Neutral Colors

  /// This color is represented by the hexadecimal value #FAFAFA.
  @Deprecated('Use neutralColor[100] instead')
  static const Color neutralColor100 = Color(0xFFFAFAFA);

  /// This color is represented by the hexadecimal value #F0F0F0.
  @Deprecated('Use neutralColor[200] instead')
  static const Color neutralColor200 = Color(0xFFF0F0F0);

  /// This color is represented by the hexadecimal value #E5E5E5.
  @Deprecated('Use neutralColor[300] instead')
  static const Color neutralColor300 = Color(0xFFE5E5E5);

  /// This color is represented by the hexadecimal value #CCCCCC.
  @Deprecated('Use neutralColor[400] instead')
  static const Color neutralColor400 = Color(0xFFCCCCCC);

  /// This color is represented by the hexadecimal value #808080.
  @Deprecated('Use neutralColor[500] instead')
  static const Color neutralColor500 = Color(0xFF808080);

  /// This color is represented by the hexadecimal value #666666.
  @Deprecated('Use neutralColor[600] instead')
  static const Color neutralColor600 = Color(0xFF666666);

  /// This color is represented by the hexadecimal value #4D4D4D.
  @Deprecated('Use neutralColor[700] instead')
  static const Color neutralColor700 = Color(0xFF4D4D4D);

  /// This color is represented by the hexadecimal value #333333.
  @Deprecated('Use neutralColor[800] instead')
  static const Color neutralColor800 = Color(0xFF333333);

  /// This color is represented by the hexadecimal value #1A1A1A.
  @Deprecated('Use neutralColor[900] instead')
  static const Color neutralColor900 = Color(0xFF1A1A1A);

  // Supporting Colors

  /// This color is represented by the hexadecimal value #EBCBFF.
  @Deprecated('Use supportingColor[100] instead')
  static const Color supportingColor100 = Color(0xFFEBCBFF);

  /// This color is represented by the hexadecimal value #CC7DFC.
  @Deprecated('Use supportingColor[200] instead')
  static const Color supportingColor200 = Color(0xFFCC7DFC);

  /// This color is represented by the hexadecimal value #B048F0.
  @Deprecated('Use supportingColor[300] instead')
  static const Color supportingColor300 = Color(0xFFB048F0);

  /// This color is represented by the hexadecimal value #821BC1.
  @Deprecated('Use supportingColor[400] instead')
  static const Color supportingColor400 = Color(0xFF821BC1);

  /// This color is represented by the hexadecimal value #62079A.
  @Deprecated('Use supportingColor[500] instead')
  static const Color supportingColor500 = Color(0xFF62079A);

  /// This color is represented by the hexadecimal value #460470.
  @Deprecated('Use supportingColor[600] instead')
  static const Color supportingColor600 = Color(0xFF460470);

  /// This color is represented by the hexadecimal value #2F014B.
  @Deprecated('Use supportingColor[700] instead')
  static const Color supportingColor700 = Color(0xFF2F014B);

  /// This color is represented by the hexadecimal value #1F0133.
  @Deprecated('Use supportingColor[800] instead')
  static const Color supportingColor800 = Color(0xFF1F0133);

  /// This color is represented by the hexadecimal value #0C0014.
  @Deprecated('Use supportingColor[900] instead')
  static const Color supportingColor900 = Color(0xFF0C0014);

  // Manchester Red Colors

  /// This color is represented by the hexadecimal value #F6D8DA.
  @Deprecated('Use manchesterColorRed[100] instead')
  static const Color manchesterColorRed100 = Color(0xFFF6D8DA);

  /// This color is represented by the hexadecimal value #EEB0B5.
  @Deprecated('Use manchesterColorRed[200] instead')
  static const Color manchesterColorRed200 = Color(0xFFEEB0B5);

  /// This color is represented by the hexadecimal value #E5898F.
  @Deprecated('Use manchesterColorRed[300] instead')
  static const Color manchesterColorRed300 = Color(0xFFE5898F);

  /// This color is represented by the hexadecimal value #DD616A.
  @Deprecated('Use manchesterColorRed[400] instead')
  static const Color manchesterColorRed400 = Color(0xFFDD616A);

  /// This color is represented by the hexadecimal value #D43A45.
  @Deprecated('Use manchesterColorRed[500] instead')
  static const Color manchesterColorRed500 = Color(0xFFD43A45);

  /// This color is represented by the hexadecimal value #AA2E37.
  @Deprecated('Use manchesterColorRed[600] instead')
  static const Color manchesterColorRed600 = Color(0xFFAA2E37);

  /// This color is represented by the hexadecimal value #7F2329.
  @Deprecated('Use manchesterColorRed[700] instead')
  static const Color manchesterColorRed700 = Color(0xFF7F2329);

  /// This color is represented by the hexadecimal value #55171C.
  @Deprecated('Use manchesterColorRed[800] instead')
  static const Color manchesterColorRed800 = Color(0xFF55171C);

  /// This color is represented by the hexadecimal value #2A0C0E.
  @Deprecated('Use manchesterColorRed[900] instead')
  static const Color manchesterColorRed900 = Color(0xFF2A0C0E);

  // Manchester Orange Colors

  /// This color is represented by the hexadecimal value #FCE8D2.
  @Deprecated('Use manchesterColorOrange[100] instead')
  static const Color manchesterColorOrange100 = Color(0xFFFCE8D2);

  /// This color is represented by the hexadecimal value #F9D2A5.
  @Deprecated('Use manchesterColorOrange[200] instead')
  static const Color manchesterColorOrange200 = Color(0xFFF9D2A5);

  /// This color is represented by the hexadecimal value #F7BB78.
  @Deprecated('Use manchesterColorOrange[300] instead')
  static const Color manchesterColorOrange300 = Color(0xFFF7BB78);

  /// This color is represented by the hexadecimal value #F4A54B.
  @Deprecated('Use manchesterColorOrange[400] instead')
  static const Color manchesterColorOrange400 = Color(0xFFF4A54B);

  /// This color is represented by the hexadecimal value #F18E1E.
  @Deprecated('Use manchesterColorOrange[500] instead')
  static const Color manchesterColorOrange500 = Color(0xFFF18E1E);

  /// This color is represented by the hexadecimal value #C17218.
  @Deprecated('Use manchesterColorOrange[600] instead')
  static const Color manchesterColorOrange600 = Color(0xFFC17218);

  /// This color is represented by the hexadecimal value #915512.
  @Deprecated('Use manchesterColorOrange[700] instead')
  static const Color manchesterColorOrange700 = Color(0xFF915512);

  /// This color is represented by the hexadecimal value #60390C.
  @Deprecated('Use manchesterColorOrange[800] instead')
  static const Color manchesterColorOrange800 = Color(0xFF60390C);

  /// This color is represented by the hexadecimal value #301C06.
  @Deprecated('Use manchesterColorOrange[900] instead')
  static const Color manchesterColorOrange900 = Color(0xFF301C06);

  // Manchester Yellow Colors

  /// This color is represented by the hexadecimal value #FCF0D1.
  @Deprecated('Use manchesterColorYellow[100] instead')
  static const Color manchesterColorYellow100 = Color(0xFFFCF0D1);

  /// This color is represented by the hexadecimal value #F8E2A4.
  @Deprecated('Use manchesterColorYellow[200] instead')
  static const Color manchesterColorYellow200 = Color(0xFFF8E2A4);

  /// This color is represented by the hexadecimal value #F5D376.
  @Deprecated('Use manchesterColorYellow[300] instead')
  static const Color manchesterColorYellow300 = Color(0xFFF5D376);

  /// This color is represented by the hexadecimal value #F1C549.
  @Deprecated('Use manchesterColorYellow[400] instead')
  static const Color manchesterColorYellow400 = Color(0xFFF1C549);

  /// This color is represented by the hexadecimal value #EEB61B.
  @Deprecated('Use manchesterColorYellow[500] instead')
  static const Color manchesterColorYellow500 = Color(0xFFEEB61B);

  /// This color is represented by the hexadecimal value #BE9216.
  @Deprecated('Use manchesterColorYellow[600] instead')
  static const Color manchesterColorYellow600 = Color(0xFFBE9216);

  /// This color is represented by the hexadecimal value #8F6D10.
  @Deprecated('Use manchesterColorYellow[700] instead')
  static const Color manchesterColorYellow700 = Color(0xFF8F6D10);

  /// This color is represented by the hexadecimal value #5F490B.
  @Deprecated('Use manchesterColorYellow[800] instead')
  static const Color manchesterColorYellow800 = Color(0xFF5F490B);

  /// This color is represented by the hexadecimal value #302405.
  @Deprecated('Use manchesterColorYellow[900] instead')
  static const Color manchesterColorYellow900 = Color(0xFF302405);

  // Manchester Green Colors

  /// This color is represented by the hexadecimal value #D6E7D7.
  @Deprecated('Use manchesterColorGreen[100] instead')
  static const Color manchesterColorGreen100 = Color(0xFFD6E7D7);

  /// This color is represented by the hexadecimal value #ADCFAF.
  @Deprecated('Use manchesterColorGreen[200] instead')
  static const Color manchesterColorGreen200 = Color(0xFFADCFAF);

  /// This color is represented by the hexadecimal value #83B788.
  @Deprecated('Use manchesterColorGreen[300] instead')
  static const Color manchesterColorGreen300 = Color(0xFF83B788);

  /// This color is represented by the hexadecimal value #5A9F60.
  @Deprecated('Use manchesterColorGreen[400] instead')
  static const Color manchesterColorGreen400 = Color(0xFF5A9F60);

  /// This color is represented by the hexadecimal value #318738.
  @Deprecated('Use manchesterColorGreen[500] instead')
  static const Color manchesterColorGreen500 = Color(0xFF318738);

  /// This color is represented by the hexadecimal value #276C2D.
  @Deprecated('Use manchesterColorGreen[600] instead')
  static const Color manchesterColorGreen600 = Color(0xFF276C2D);

  /// This color is represented by the hexadecimal value #1D5122.
  @Deprecated('Use manchesterColorGreen[700] instead')
  static const Color manchesterColorGreen700 = Color(0xFF1D5122);

  /// This color is represented by the hexadecimal value #143616.
  @Deprecated('Use manchesterColorGreen[800] instead')
  static const Color manchesterColorGreen800 = Color(0xFF143616);

  /// This color is represented by the hexadecimal value #0A1B0B.
  @Deprecated('Use manchesterColorGreen[900] instead')
  static const Color manchesterColorGreen900 = Color(0xFF0A1B0B);

  // Manchester Blue Colors

  /// This color is represented by the hexadecimal value #D2E4F3.
  @Deprecated('Use manchesterColorBlue[100] instead')
  static const Color manchesterColorBlue100 = Color(0xFFD2E4F3);

  /// This color is represented by the hexadecimal value #A5C9E7.
  @Deprecated('Use manchesterColorBlue[200] instead')
  static const Color manchesterColorBlue200 = Color(0xFFA5C9E7);

  /// This color is represented by the hexadecimal value #77AFDB.
  @Deprecated('Use manchesterColorBlue[300] instead')
  static const Color manchesterColorBlue300 = Color(0xFF77AFDB);

  /// This color is represented by the hexadecimal value #4A94CF.
  @Deprecated('Use manchesterColorBlue[400] instead')
  static const Color manchesterColorBlue400 = Color(0xFF4A94CF);

  /// This color is represented by the hexadecimal value #1D79C3.
  @Deprecated('Use manchesterColorBlue[500] instead')
  static const Color manchesterColorBlue500 = Color(0xFF1D79C3);

  /// This color is represented by the hexadecimal value #17619C.
  @Deprecated('Use manchesterColorBlue[600] instead')
  static const Color manchesterColorBlue600 = Color(0xFF17619C);

  /// This color is represented by the hexadecimal value #114975.
  @Deprecated('Use manchesterColorBlue[700] instead')
  static const Color manchesterColorBlue700 = Color(0xFF114975);

  /// This color is represented by the hexadecimal value #0C304E.
  @Deprecated('Use manchesterColorBlue[800] instead')
  static const Color manchesterColorBlue800 = Color(0xFF0C304E);

  /// This color is represented by the hexadecimal value #061827.
  @Deprecated('Use manchesterColorBlue[900] instead')
  static const Color manchesterColorBlue900 = Color(0xFF061827);

  /// This gradient color is represented by the hexadecimal values #5288B6 and #00C89A.
  static const List<Color> primaryGradientColors = [
    Color(0xFF5288B6),
    Color(0xFF00C89A),
  ];

  /// This color is represented by the hexadecimal value #080808.
  static const MaterialColor pureBlack = MaterialColor(0xFF080808, {});

  /// This color is represented by the hexadecimal value #FFFFFF.
  static const MaterialColor pureWhite = MaterialColor(0xFFFFFFFF, {});

  /// The primary color of the Senior design system. represented by the hexadecimal value 0xFF0E866A.
  /// ![Primary color documentation](https://zeroheight.com/51a539b6f/p/25078c-colors/t/825f20)
  /// Hexadecimal values of variations:
  /// 100: 0xFFD0EEE7
  /// 200: 0xFFA0DCCE
  /// 300: 0xFF71CBB6
  /// 400: 0xFF41B99D
  /// 500: 0xFF12A885
  /// 600: 0xFF0E866A (default)
  /// 700: 0xFF0B6550
  /// 800: 0xFF074335
  /// 900: 0xFF04221B
  static const MaterialColor primaryColor = MaterialColor(
    _primaryColorValue,
    <int, Color>{
      100: const Color(0xFFD0EEE7),
      200: const Color(0xFFA0DCCE),
      300: const Color(0xFF71CBB6),
      400: const Color(0xFF41B99D),
      500: const Color(0xFF12A885),
      600: const Color(_primaryColorValue),
      700: const Color(0xFF0B6550),
      800: const Color(0xFF074335),
      900: const Color(0xFF04221B),
    },
  );
  static const int _primaryColorValue = 0xFF0E866A;

  /// The secondary color of the Senior design system. represented by the hexadecimal value 0xFF7E8A92.
  /// ![Secondary color documentation](https://zeroheight.com/51a539b6f/p/25078c-colors/t/4303ee)
  /// Hexadecimal values of variations:
  /// 100: 0xFFECEEF1
  /// 200: 0xFFD8DEE2
  /// 300: 0xFFC5CDD4
  /// 400: 0xFFB1BDC5
  /// 500: 0xFF9EACB7
  /// 600: 0xFF7E8A92 (default)
  /// 700: 0xFF5F676E
  /// 800: 0xFF3F4549
  /// 900: 0xFF202225
  static const MaterialColor secondaryColor = MaterialColor(
    _secondaryColorValue,
    <int, Color>{
      100: const Color(0xFFECEEF1),
      200: const Color(0xFFD8DEE2),
      300: const Color(0xFFC5CDD4),
      400: const Color(0xFFB1BDC5),
      500: const Color(0xFF9EACB7),
      600: const Color(_secondaryColorValue),
      700: const Color(0xFF5F676E),
      800: const Color(0xFF3F4549),
      900: const Color(0xFF202225),
    },
  );
  static const int _secondaryColorValue = 0xFF7E8A92;

  /// The neutral color of the Senior design system. represented by the hexadecimal value 0xFF808080.
  /// ![Neutral color documentation](https://zeroheight.com/51a539b6f/p/25078c-colors/t/856ebd)
  /// Hexadecimal values of variations:
  /// 100: 0xFFFAFAFA
  /// 200: 0xFFF0F0F0
  /// 300: 0xFFE5E5E5
  /// 400: 0xFFCCCCCC
  /// 500: 0xFF808080 (default)
  /// 600: 0xFF666666
  /// 700: 0xFF4D4D4D
  /// 800: 0xFF333333
  /// 900: 0xFF1A1A1A
  static const MaterialColor neutralColor = MaterialColor(
    _neutralColorValue,
    <int, Color>{
      100: const Color(0xFFFAFAFA),
      200: const Color(0xFFF0F0F0),
      300: const Color(0xFFE5E5E5),
      400: const Color(0xFFCCCCCC),
      500: const Color(_neutralColorValue),
      600: const Color(0xFF666666),
      700: const Color(0xFF4D4D4D),
      800: const Color(0xFF333333),
      900: const Color(0xFF1A1A1A),
    },
  );
  static const int _neutralColorValue = 0xFF808080;

  /// The supporting color of the Senior design system. represented by the hexadecimal value 0xFF62079A.
  /// Hexadecimal values of variations:
  /// 100: 0xFFEBCBFF
  /// 200: 0xFFCC7DFC
  /// 300: 0xFFB048F0
  /// 400: 0xFF821BC1
  /// 500: 0xFF62079A (default)
  /// 600: 0xFF460470
  /// 700: 0xFF2F014B
  /// 800: 0xFF1F0133
  /// 900: 0xFF0C0014
  static const MaterialColor supportingColor = MaterialColor(
    _supportingColorValue,
    <int, Color>{
      100: const Color(0xFFEBCBFF),
      200: const Color(0xFFCC7DFC),
      300: const Color(0xFFB048F0),
      400: const Color(0xFF821BC1),
      500: const Color(_supportingColorValue),
      600: const Color(0xFF460470),
      700: const Color(0xFF2F014B),
      800: const Color(0xFF1F0133),
      900: const Color(0xFF0C0014),
    },
  );
  static const int _supportingColorValue = 0xFF62079A;

  /// The red of manchester color of the Senior design system. represented by the hexadecimal value 0xFFD43A45.
  /// ![Manchester red color documentation](https://zeroheight.com/51a539b6f/p/25078c-colors/t/07c7c3)
  /// Hexadecimal values of variations:
  /// 100: 0xFFF6D8DA
  /// 200: 0xFFEEB0B5
  /// 300: 0xFFE5898F
  /// 400: 0xFFDD616A
  /// 500: 0xFFD43A45 (default)
  /// 600: 0xFFAA2E37
  /// 700: 0xFF7F2329
  /// 800: 0xFF55171C
  /// 900: 0xFF2A0C0E
  static const MaterialColor manchesterColorRed =
      MaterialColor(_manchesterColorRedValue, <int, Color>{
    100: const Color(0xFFF6D8DA),
    200: const Color(0xFFEEB0B5),
    300: const Color(0xFFE5898F),
    400: const Color(0xFFDD616A),
    500: const Color(_manchesterColorRedValue),
    600: const Color(0xFFAA2E37),
    700: const Color(0xFF7F2329),
    800: const Color(0xFF55171C),
    900: const Color(0xFF2A0C0E),
  });
  static const int _manchesterColorRedValue = 0xFFD43A45;

  /// The orange of manchester color of the Senior design system. represented by the hexadecimal value 0xFFF18E1E.
  /// ![Manchester orange color documentation](https://zeroheight.com/51a539b6f/p/25078c-colors/t/5978d4)
  /// Hexadecimal values of variations:
  /// 100: 0xFFFCE8D2
  /// 200: 0xFFF9D2A5
  /// 300: 0xFFF7BB78
  /// 400: 0xFFF4A54B
  /// 500: 0xFFF18E1E (default)
  /// 600: 0xFFC17218
  /// 700: 0xFF915512
  /// 800: 0xFF60390C
  /// 900: 0xFF301C06
  static const MaterialColor manchesterColorOrange = MaterialColor(
    _manchesterColorOrangeValue,
    <int, Color>{
      100: const Color(0xFFFCE8D2),
      200: const Color(0xFFF9D2A5),
      300: const Color(0xFFF7BB78),
      400: const Color(0xFFF4A54B),
      500: const Color(_manchesterColorOrangeValue),
      600: const Color(0xFFC17218),
      700: const Color(0xFF915512),
      800: const Color(0xFF60390C),
      900: const Color(0xFF301C06),
    },
  );
  static const int _manchesterColorOrangeValue = 0xFFF18E1E;

  /// The yellow of manchester color of the Senior design system. represented by the hexadecimal value 0xFFEEB61B.
  /// ![Manchester yellow documentation](https://zeroheight.com/51a539b6f/p/25078c-colors/t/35f69d)
  /// Hexadecimal values of variations:
  /// 100: 0xFFFCF0D1
  /// 200: 0xFFF8E2A4
  /// 300: 0xFFF5D376
  /// 400: 0xFFF1C549
  /// 500: 0xFFEEB61B (default)
  /// 600: 0xFFBE9216
  /// 700: 0xFF8F6D10
  /// 800: 0xFF5F490B
  /// 900: 0xFF302405
  static const MaterialColor manchesterColorYellow = MaterialColor(
    _manchesterColorYellowValue,
    <int, Color>{
      100: const Color(0xFFFCF0D1),
      200: const Color(0xFFF8E2A4),
      300: const Color(0xFFF5D376),
      400: const Color(0xFFF1C549),
      500: const Color(_manchesterColorYellowValue),
      600: const Color(0xFFBE9216),
      700: const Color(0xFF8F6D10),
      800: const Color(0xFF5F490B),
      900: const Color(0xFF302405),
    },
  );
  static const int _manchesterColorYellowValue = 0xFFEEB61B;

  /// The green of manchester color of the Senior design system. represented by the hexadecimal value 0xFF318738.
  /// ![Manchester green color documentation](https://zeroheight.com/51a539b6f/p/25078c-colors/t/677224)
  /// Hexadecimal values of variations:
  /// 100: 0xFFD6E7D7
  /// 200: 0xFFADCFAF
  /// 300: 0xFF83B788
  /// 400: 0xFF5A9F60
  /// 500: 0xFF318738 (default)
  /// 600: 0xFF276C2D
  /// 700: 0xFF1D5122
  /// 800: 0xFF143616
  /// 900: 0xFF0A1B0B
  static const MaterialColor manchesterColorGreen = MaterialColor(
    _manchesterColorGreenValue,
    <int, Color>{
      100: const Color(0xFFD6E7D7),
      200: const Color(0xFFADCFAF),
      300: const Color(0xFF83B788),
      400: const Color(0xFF5A9F60),
      500: const Color(_manchesterColorGreenValue),
      600: const Color(0xFF276C2D),
      700: const Color(0xFF1D5122),
      800: const Color(0xFF143616),
      900: const Color(0xFF0A1B0B),
    },
  );
  static const int _manchesterColorGreenValue = 0xFF318738;

  /// The blue of manchester color of the Senior design system. represented by the hexadecimal value 0xFF1D79C3.
  /// ![Manchester blue color documentation](https://zeroheight.com/51a539b6f/p/25078c-colors/t/4004d0)
  /// Hexadecimal values of variations:
  /// 100: 0xFFD2E4F3
  /// 200: 0xFFA5C9E7
  /// 300: 0xFF77AFDB
  /// 400: 0xFF4A94CF
  /// 500: 0xFF1D79C3 (default)
  /// 600: 0xFF17619C
  /// 700: 0xFF114975
  /// 800: 0xFF0C304E
  /// 900: 0xFF061827
  static const MaterialColor manchesterColorBlue = MaterialColor(
    _manchesterColorBlueValue,
    <int, Color>{
      100: const Color(0xFFD2E4F3),
      200: const Color(0xFFA5C9E7),
      300: const Color(0xFF77AFDB),
      400: const Color(0xFF4A94CF),
      500: const Color(_manchesterColorBlueValue),
      600: const Color(0xFF17619C),
      700: const Color(0xFF114975),
      800: const Color(0xFF0C304E),
      900: const Color(0xFF061827),
    },
  );
  static const int _manchesterColorBlueValue = 0xFF1D79C3;
}
